app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::auth();
Route::get('/admin', function () {
    return view('admin.index');
});
route::get('/post/{id}',['as'=>'home.post','uses'=>'AdminPostsController@post']);

Route::get('/home', 'HomeController@index');

Route::group(['middleware' => 'admin'], function () {
    Route::resource('admin/users', 'AdminUsersController');
    Route::resource('admin/posts', 'AdminPostsController');
    Route::resource('admin/categories', 'AdminCategoryController');
    Route::resource('admin/media', 'AdminMediaController');
    Route::resource('admin/comments', 'PostCommentsController');
    Route::resource('admin/comments/replies', 'CommentRpliesController');
    
});
Route::group(['middleware' => 'auth'], function () {
    Route::post('comment/reply', 'CommentRpliesController@createReply');
});

app/Comment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
    //
    protected $fillable =[
        'post_id',
        'is_active',
        'author',
        'photo',
        'email',
        'bady'
    ];

    public function replies(){
        return $this->hasMany('App\CommentReply');
    }
    public function post(){
        return $this->belongsTo('App\post');
    }


}

resources/views/admin/comments/index.blade.php
@extends('layouts.admin')


@section('content')

@if (count($comments)>0)

    <h1>Comments</h1>
    <table class="table">
        <thead>
          <tr>
            <th>Id</th>
            {{-- <th>Photo</th> --}}
            <th>Name</th>
            <th>Email</th>
            <th>Body</th>
            <th>Created</th>
            <th>Updated</th>
            <th>Post</th>
            <th>Replies</th>
            <th>Status</th>
            <th>Delete</th>
            {{-- <th>Edit</th> --}}
          </tr>
        </thead>
        <tbody>
                @foreach ($comments as $comment)
                    <tr>
                        <td>{{$comment->id}}</td>
                        {{-- <td><img height="50" width="50" src="/images/{{$user->photo?$user->photo->file:'https://via.placeholder.com/400'}}" alt=""></td> --}}
                        <td>{{$comment->author}}</td>
                        <td>{{$comment->email}}</td>
                        <td>{{$comment->bady}}</td>
                        <td>{{$comment->created_at->diffForHumans()}}</td>
                        <td>{{$comment->updated_at->diffForHumans()}}</td>
                        <td><a href="{{route('home.post',$comment->post->id)}}"> view Post </a></td>
                        <td><a href="{{route('admin.comments.replies.show',$comment->id)}}"> view Replies </a></td>
                        @if ($comment->is_active== 1)
                        <td>
                            {!! Form::open(['method'=>'PATCH','action'=>['PostCommentsController@update', $comment->id]]) !!}
                              <div class='form-group'>
                                <input type="hidden" name="is_active" value="0">
                                {!! Form::submit('Un approve',['class'=>'btn btn-success']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>    
                        @else
                        <td>
                            {!! Form::open(['method'=>'PATCH','action'=>['PostCommentsController@update', $comment->id]]) !!}
                              <input type="hidden" name="is_active" value="1">                               
                              <div class='form-group'>
                                {!! Form::submit('Approve',['class'=>'btn btn-info']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>    
                        @endif
                        
                        
                        <td>
                            {!! Form::open(['method'=>'DELETE','action'=>['PostCommentsController@destroy', $comment->id]]) !!}
                              <div class='form-group'>
                                {!! Form::submit('Delete',['class'=>'btn btn-danger']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>

                    </tr>
                @endforeach
        </tbody>
      </table>
      
          
      @else
      
      <h1 class="text-center">No Comments</h1>
      
      @endif


    
@endsection

resources/views/admin/comments/show.blade.php
@extends('layouts.admin')


@section('content')

@if (count($comments)>0)

    <h1>Comments</h1>
    <table class="table">
        <thead>
          <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Email</th>
            <th>Body</th>
            <th>Created</th>
            <th>Updated</th>
            <th>Post</th>
            <th>Status</th>
            <th>Delete</th>
          </tr>
        </thead>
        <tbody>
                @foreach ($comments as $comment)
                    <tr>
                        <td>{{$comment->id}}</td>
                        <td>{{$comment->author}}</td>
                        <td>{{$comment->email}}</td>
                        <td>{{$comment->bady}}</td>
                        <td>{{$comment->created_at->diffForHumans()}}</td>
                        <td>{{$comment->updated_at->diffForHumans()}}</td>
                        <td><a href="{{route('home.post',$comment->post->id)}}"> view Post </a></td>
                        @if ($comment->is_active== 1)
                        <td>
                            {!! Form::open(['method'=>'PATCH','action'=>['PostCommentsController@update', $comment->id]]) !!}
                              <div class='form-group'>
                                <input type="hidden" name="is_active" value="0">
                                {!! Form::submit('Un approve',['class'=>'btn btn-success']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>    
                        @else
                        <td>
                            {!! Form::open(['method'=>'PATCH','action'=>['PostCommentsController@update', $comment->id]]) !!}
                              <input type="hidden" name="is_active" value="1">                               
                              <div class='form-group'>
                                {!! Form::submit('Approve',['class'=>'btn btn-info']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>    
                        @endif
                        
                        
                        <td>
                            {!! Form::open(['method'=>'DELETE','action'=>['PostCommentsController@destroy', $comment->id]]) !!}
                              <div class='form-group'>
                                {!! Form::submit('Delete',['class'=>'btn btn-danger']) !!}
                              </div>
                            {!! Form::close() !!}
                        </td>

                    </tr>
                @endforeach
        </tbody>
      </table>
      
          
      @else
      
      <h1 class="text-center">No Comments</h1>
      
      @endif


    
@endsection